<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.sclass.mapper.classroom.ClassroomAskstudentMapper">
    <!--保存学生作答情况-->
    <insert id="save">
        insert into t_classroom_askstudent
        (asktid,classid,studentid,studentradio,radiocorrect,studentpic,studentselected,createtime,schoolid)
        values
        (#{r.asktid},#{r.classid},#{r.studentid},#{r.studentradio},#{r.radiocorrect},#{r.studentpic}
        ,#{r.studentselected},#{r.createtime},#{r.schoolid})
    </insert>
    <!--修改学生作答记录（教师添加批注）-->
    <update id="updateStudentpic">
        update t_classroom_askstudent set studentpic=#{studentpic} where asksid=#{asksid}
    </update>
</mapper>

